Skip to content
Documentation sections

Endpoint Stats

GET /endpoint/{endpoint_id}/stats on the Webhooks API. Base URL: https://api.sinay.ai/webhook/api/v1.

Get basic statistics for the endpoint, since max 28 days. Will return amount of messages sent with success, failed or still in progress.

Path parameters

stringrequired

The ep's ID or UID

Query parameters

string (date-time), nullable

Filter the range to data starting from this date

string (date-time), nullable

Filter the range to data ending by this date

Responses

Body: application/json, object.

FieldTypeRequiredDescription
successinteger (int64)YesNumber of successful messages sent to this endpoints in the time period.
pendinginteger (int64)YesNumber of messages sent to this endpoints in the time period, that are still pending.
sendinginteger (int64)YesNumber of messages sent to this endpoints in the time period, that are still in sending state (messages can be retried several times).
failinteger (int64)YesNumber of failed messages sent to this endpoints in the time period (messages have been retried several time before being failed).